package eu.etaxonomy.taxeditor.handler;

import java.util.UUID;

import org.eclipse.core.commands.AbstractParameterValueConverter;
import org.eclipse.core.commands.ParameterValueConversionException;

/**
 * Converts {@link UUID}s to a string representation
 * and vica versa.
 *
 * @author pplitzner
 * @date Sep 15, 2015
 *
 */
public class UuidsParameterTypeConverter extends AbstractParameterValueConverter {

    public UuidsParameterTypeConverter() {
    }

    @Override
    public Object convertToObject(String parameterValue) throws ParameterValueConversionException {
        return UUID.fromString(parameterValue);
    }

    @Override
    public String convertToString(Object parameterValue) throws ParameterValueConversionException {
        return parameterValue.toString();
    }

}