/**
 * 
 */
package eu.etaxonomy.taxeditor.security;

import java.util.EnumSet;

import eu.etaxonomy.cdm.persistence.hibernate.permission.CRUD;
import eu.etaxonomy.cdm.persistence.hibernate.permission.Operation;

/**
 * Provides the required permissions a user would need in order to view or edit a 
 * specific cdm type.
 * 
 * @author andreas kohlbecker
 *
 */
public class RequiredPermissions {
	
	public static final EnumSet<CRUD> TAXONNODE_EDIT = Operation.UPDATE;
	
	public static final EnumSet<CRUD> TAXON_EDIT = Operation.UPDATE;
	
	public static final EnumSet<CRUD> DESCRIPTION_EDIT = Operation.UPDATE;
	

}
