// $Id$
/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.util;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

import eu.etaxonomy.cdm.model.common.CdmBase;

/**
 * @author cmathew
 * @date 29 Jun 2015
 *
 */
public class OperationsUtil {

    public static List<UUID> convertToUuidList(List<CdmBase> cdmBaseList) {
        List<UUID> uuids = new ArrayList<UUID>();
        for(CdmBase cdmBase : cdmBaseList) {
            if(cdmBase == null) {
                uuids.add(null);
            } else {
                uuids.add(cdmBase.getUuid());
            }
        }
        return uuids;
    }
}
