// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.store.operations;

import org.eclipse.core.commands.operations.IUndoContext;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.core.runtime.IProgressMonitor;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.operation.AbstractPostOperation;
import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
import eu.etaxonomy.taxeditor.session.ICdmEntitySessionEnabled;

/**
 * @author n.hoffmann
 * @created 15.04.2009
 * @version 1.0
 */
public abstract class AbstractTaxeditorOperationTestBase {

	public static final IUndoContext undoContext = null;

	public static final IProgressMonitor monitor = null;
	public static final IAdaptable info = null;
	public static final IPostOperationEnabled postOperation = null;
	public static final ICdmEntitySessionEnabled cdmEntitySessionEnabled = null;

	protected static AbstractPostOperation operation;
	protected static Taxon taxon;
}
