// $Id$
/**
 * Copyright (C) 2015 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor;

import org.eclipse.osgi.util.NLS;

/**
 * @author pplitzner
 * @date Apr 14, 2015
 *
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "OSGI-INF/l10n/messages"; //$NON-NLS-1$
    public static String LanguageEditorPreferencePage_ChooseDefaultLanguage;
    public static String LanguageEditorPreferencePage_EditorHasToRestart;
    public static String LanguageEditorPreferencePage_PleaseRestart;
    public static String LanguageEditorPreferencePage_RestartRequired;
    public static String LoginDialog_CANCEL_MESSAGE;
    public static String LoginDialog_LOGIN;
    public static String LoginDialog_PASSWORD;
    public static String LoginDialog_REALLY_CANCEL;
    public static String LoginDialog_USER_LOGIN;
    public static String LoginDialog_USER_NAME;
    public static String OrderPreferencePage_NewNavigatorWindowRequired;
    public static String OrderPreferencePage_PleaseReopenNavigator;
    public static String CdmDataSourceViewPart_1;
    public static String CdmDataSourceViewPart_10;
    public static String CdmDataSourceViewPart_11;
    public static String CdmDataSourceViewPart_12;
    public static String CdmDataSourceViewPart_2;
    public static String CdmDataSourceViewPart_3;
    public static String CdmDataSourceViewPart_4;
    public static String CdmDataSourceViewPart_5;
    public static String CdmDataSourceViewPart_6;
    public static String CdmDataSourceViewPart_7;
    public static String CdmDataSourceViewPart_8;
    public static String CdmDataSourceViewPart_9;
    public static String CdmViewerContextMenu_OPEN;
    public static String CdmViewerContextMenu_OPEN_IN;
    public static String ChangeConnectionHandler_ALREADY_CONNECTING;
    public static String ChangeConnectionHandler_CONFIRM_DATASOURCE;
    public static String ChangeConnectionHandler_CURRENTLY_CONNECTING_ALREADY;
    public static String ChangeConnectionHandler_DATASOURCE_NOT_AVAILABLE;
    public static String ChangeConnectionHandler_REALLY_WANT_TO_CONNECT;
    public static String ChangeConnectionHandler_NOT_AVAILABLE_REASONS;
    public static String UriWithLabelElement_COULD_NOT_OPEN_BROWSER;
    public static String UriWithLabelElement_INVALID_URL;
    public static String UriWithLabelElement_OPEN_EXTERNAL_BROWSER;
    public static String UriWithLabelElement_URL_NOT_SAVED;
    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);
    }

    private Messages() {
    }
}
